import numpy

import numpy as np

a = np.array([[1,2,3],[4,5,6]])
print a.shape
print a.dtype
 # build array
cvalues = [25.3, 24.8, 26.9, 23.9]

a = np.array(cvalues)
print a


print type(a)
print a.dtype

print (a * 9 / 5 + 32)

#
fvalues = [ x*9/5 + 32 for x in cvalues]
fvalues = np.array(fvalues)
print fvalues
print fvalues.dtype

##
a = np.arange(60).reshape(3,4,5)
print a
print a.shape
type(a)
a1 = a.flat

type(a1)
for item in al:
    print item

a2 = np.copy(a)
print a2

##########
a = np.zeros((4,5))
b = np.ones(6)
print np.add(b,b)
print np.add(b,3)
#add(b,b,a[1:3,0:3].flat)
##########
x = np.arange(6).reshape(2, 3)
x1 = np.copy(x)
print type(x1)
x11= x1.tolist() #array conversion to list
print type(x11)

###########
print np.outer([1,2,3],[10,100,1000]) #multiply
